robot.cpp File Reference
`#include "robot.h"`
Include dependency graph for robot.cpp:

Go to the source code of this file.

## Functions

int | getChar (char *c)
int | readSerial (char *msg)
char | checkSumGO (char *msg)
int | receiveMsg (void)
int | sendCmd (char cmd, const char *arg)
int | open_communication_robot (const char *path)
| Ouvre la communication avec le robot. More...
int | close_communication_robot (void)
| Ferme la communication avec le robot. More...
int | send_command_to_robot (char cmd, const char *arg)
| Envoi une commande au robot et attends sa réponse. More...

## Variables

int | fd

## Function Documentation

## checkSumGO()

char checkSumGO | ( | char * | msg | ) |

Definition at line 237 of file robot.cpp.

## close_communication_robot()

int close_communication_robot | ( | void |  | ) |

Ferme la communication avec le robot.

Ferme le descripteur de fichier du port serie contrôlant le robot.

Parameters

  void | aucun

Returns
  Retourne -1 en cas d'erreur ou 0 en cas de fermeture effectué

Definition at line 64 of file robot.cpp.

## getChar()

int getChar | ( | char * | c | ) |

Definition at line 199 of file robot.cpp.

## open_communication_robot()

int open_communication_robot | ( | const char * | path = `serialPort` | ) |

Ouvre la communication avec le robot.

Ouvre le serial port passé en paramétre. Par defaut cette fonction ouvre le port ttySO connecté au module xbee.

Parameters

  *path | chaine de caractère indiquant le path du port serie à ouvrir.

Returns
  Return -1 si l'ouverture c'est mal passé et 0 si le port est ouvert.

Definition at line 36 of file robot.cpp.

## readSerial()

int readSerial | ( | char * | msg | ) |

Definition at line 216 of file robot.cpp.

## receiveMsg()

int receiveMsg | ( | void |  | ) |

Definition at line 168 of file robot.cpp.

## send_command_to_robot()

int send_command_to_robot | ( | char | cmd,
|  | const char * | arg = `NULL`
| ) |  |

Envoi une commande au robot et attends sa réponse.

Envoi une commande au robot en ajoutant le checksum et lis la réponse du robot en verifiant le checksum. Le premier paramétre cmd correspond au type de commande ex : PING, SETMOVE ... Le second paramétre *arg correspond aux arguments à la commande ex : SETMOVE, "100" La fonction retourne un code confirmation transmise par le robot (ROBOT_CHEKSUM, ROBOT_ERROR, ROBOT_TIMED_OUT, ROBOT_OK, ROBOT_UKNOW_CMD)

Parameters

  cmd | Entête de la commande
  *arg | Argument de la commande

Returns
  retourne un code confirmation.

Definition at line 74 of file robot.cpp.

## sendCmd()

int sendCmd | ( | char | cmd,
|  | const char * | arg
| ) |  |

Definition at line 138 of file robot.cpp.

## Variable Documentation

## fd

int fd

Definition at line 28 of file robot.cpp.